Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network82.167.83.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
82.167.83.0
Broadcast address
82.167.83.255
First usable
82.167.83.1
Last usable
82.167.83.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Public public
Old class
A (default /8)
As numbers
Hex 52A75300 · Integer 1386697472 to 1386697727
Reverse DNS zone
83.167.82.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010010.10100111.01010011..0000000082.167.83.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network01010010.10100111.01010011..0000000082.167.83.0
Broadcast01010010.10100111.01010011..1111111182.167.83.255
Split into smaller subnets/32

82.167.83.0/24 makes 256 subnets of /32.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
182.167.83.0/3282.167.83.0 to 82.167.83.0—1
282.167.83.1/3282.167.83.1 to 82.167.83.1—1
382.167.83.2/3282.167.83.2 to 82.167.83.2—1
482.167.83.3/3282.167.83.3 to 82.167.83.3—1
582.167.83.4/3282.167.83.4 to 82.167.83.4—1
682.167.83.5/3282.167.83.5 to 82.167.83.5—1
782.167.83.6/3282.167.83.6 to 82.167.83.6—1
882.167.83.7/3282.167.83.7 to 82.167.83.7—1
982.167.83.8/3282.167.83.8 to 82.167.83.8—1
1082.167.83.9/3282.167.83.9 to 82.167.83.9—1
1182.167.83.10/3282.167.83.10 to 82.167.83.10—1
1282.167.83.11/3282.167.83.11 to 82.167.83.11—1
1382.167.83.12/3282.167.83.12 to 82.167.83.12—1
1482.167.83.13/3282.167.83.13 to 82.167.83.13—1
1582.167.83.14/3282.167.83.14 to 82.167.83.14—1
1682.167.83.15/3282.167.83.15 to 82.167.83.15—1
1782.167.83.16/3282.167.83.16 to 82.167.83.16—1
1882.167.83.17/3282.167.83.17 to 82.167.83.17—1
1982.167.83.18/3282.167.83.18 to 82.167.83.18—1
2082.167.83.19/3282.167.83.19 to 82.167.83.19—1
2182.167.83.20/3282.167.83.20 to 82.167.83.20—1
2282.167.83.21/3282.167.83.21 to 82.167.83.21—1
2382.167.83.22/3282.167.83.22 to 82.167.83.22—1
2482.167.83.23/3282.167.83.23 to 82.167.83.23—1
2582.167.83.24/3282.167.83.24 to 82.167.83.24—1
2682.167.83.25/3282.167.83.25 to 82.167.83.25—1
2782.167.83.26/3282.167.83.26 to 82.167.83.26—1
2882.167.83.27/3282.167.83.27 to 82.167.83.27—1
2982.167.83.28/3282.167.83.28 to 82.167.83.28—1
3082.167.83.29/3282.167.83.29 to 82.167.83.29—1
3182.167.83.30/3282.167.83.30 to 82.167.83.30—1
3282.167.83.31/3282.167.83.31 to 82.167.83.31—1
3382.167.83.32/3282.167.83.32 to 82.167.83.32—1
3482.167.83.33/3282.167.83.33 to 82.167.83.33—1
3582.167.83.34/3282.167.83.34 to 82.167.83.34—1
3682.167.83.35/3282.167.83.35 to 82.167.83.35—1
3782.167.83.36/3282.167.83.36 to 82.167.83.36—1
3882.167.83.37/3282.167.83.37 to 82.167.83.37—1
3982.167.83.38/3282.167.83.38 to 82.167.83.38—1
4082.167.83.39/3282.167.83.39 to 82.167.83.39—1
4182.167.83.40/3282.167.83.40 to 82.167.83.40—1
4282.167.83.41/3282.167.83.41 to 82.167.83.41—1
4382.167.83.42/3282.167.83.42 to 82.167.83.42—1
4482.167.83.43/3282.167.83.43 to 82.167.83.43—1
4582.167.83.44/3282.167.83.44 to 82.167.83.44—1
4682.167.83.45/3282.167.83.45 to 82.167.83.45—1
4782.167.83.46/3282.167.83.46 to 82.167.83.46—1
4882.167.83.47/3282.167.83.47 to 82.167.83.47—1
4982.167.83.48/3282.167.83.48 to 82.167.83.48—1
5082.167.83.49/3282.167.83.49 to 82.167.83.49—1
5182.167.83.50/3282.167.83.50 to 82.167.83.50—1
5282.167.83.51/3282.167.83.51 to 82.167.83.51—1
5382.167.83.52/3282.167.83.52 to 82.167.83.52—1
5482.167.83.53/3282.167.83.53 to 82.167.83.53—1
5582.167.83.54/3282.167.83.54 to 82.167.83.54—1
5682.167.83.55/3282.167.83.55 to 82.167.83.55—1
5782.167.83.56/3282.167.83.56 to 82.167.83.56—1
5882.167.83.57/3282.167.83.57 to 82.167.83.57—1
5982.167.83.58/3282.167.83.58 to 82.167.83.58—1
6082.167.83.59/3282.167.83.59 to 82.167.83.59—1
6182.167.83.60/3282.167.83.60 to 82.167.83.60—1
6282.167.83.61/3282.167.83.61 to 82.167.83.61—1
6382.167.83.62/3282.167.83.62 to 82.167.83.62—1
6482.167.83.63/3282.167.83.63 to 82.167.83.63—1
6582.167.83.64/3282.167.83.64 to 82.167.83.64—1
6682.167.83.65/3282.167.83.65 to 82.167.83.65—1
6782.167.83.66/3282.167.83.66 to 82.167.83.66—1
6882.167.83.67/3282.167.83.67 to 82.167.83.67—1
6982.167.83.68/3282.167.83.68 to 82.167.83.68—1
7082.167.83.69/3282.167.83.69 to 82.167.83.69—1
7182.167.83.70/3282.167.83.70 to 82.167.83.70—1
7282.167.83.71/3282.167.83.71 to 82.167.83.71—1
7382.167.83.72/3282.167.83.72 to 82.167.83.72—1
7482.167.83.73/3282.167.83.73 to 82.167.83.73—1
7582.167.83.74/3282.167.83.74 to 82.167.83.74—1
7682.167.83.75/3282.167.83.75 to 82.167.83.75—1
7782.167.83.76/3282.167.83.76 to 82.167.83.76—1
7882.167.83.77/3282.167.83.77 to 82.167.83.77—1
7982.167.83.78/3282.167.83.78 to 82.167.83.78—1
8082.167.83.79/3282.167.83.79 to 82.167.83.79—1
8182.167.83.80/3282.167.83.80 to 82.167.83.80—1
8282.167.83.81/3282.167.83.81 to 82.167.83.81—1
8382.167.83.82/3282.167.83.82 to 82.167.83.82—1
8482.167.83.83/3282.167.83.83 to 82.167.83.83—1
8582.167.83.84/3282.167.83.84 to 82.167.83.84—1
8682.167.83.85/3282.167.83.85 to 82.167.83.85—1
8782.167.83.86/3282.167.83.86 to 82.167.83.86—1
8882.167.83.87/3282.167.83.87 to 82.167.83.87—1
8982.167.83.88/3282.167.83.88 to 82.167.83.88—1
9082.167.83.89/3282.167.83.89 to 82.167.83.89—1
9182.167.83.90/3282.167.83.90 to 82.167.83.90—1
9282.167.83.91/3282.167.83.91 to 82.167.83.91—1
9382.167.83.92/3282.167.83.92 to 82.167.83.92—1
9482.167.83.93/3282.167.83.93 to 82.167.83.93—1
9582.167.83.94/3282.167.83.94 to 82.167.83.94—1
9682.167.83.95/3282.167.83.95 to 82.167.83.95—1
9782.167.83.96/3282.167.83.96 to 82.167.83.96—1
9882.167.83.97/3282.167.83.97 to 82.167.83.97—1
9982.167.83.98/3282.167.83.98 to 82.167.83.98—1
10082.167.83.99/3282.167.83.99 to 82.167.83.99—1
10182.167.83.100/3282.167.83.100 to 82.167.83.100—1
10282.167.83.101/3282.167.83.101 to 82.167.83.101—1
10382.167.83.102/3282.167.83.102 to 82.167.83.102—1
10482.167.83.103/3282.167.83.103 to 82.167.83.103—1
10582.167.83.104/3282.167.83.104 to 82.167.83.104—1
10682.167.83.105/3282.167.83.105 to 82.167.83.105—1
10782.167.83.106/3282.167.83.106 to 82.167.83.106—1
10882.167.83.107/3282.167.83.107 to 82.167.83.107—1
10982.167.83.108/3282.167.83.108 to 82.167.83.108—1
11082.167.83.109/3282.167.83.109 to 82.167.83.109—1
11182.167.83.110/3282.167.83.110 to 82.167.83.110—1
11282.167.83.111/3282.167.83.111 to 82.167.83.111—1
11382.167.83.112/3282.167.83.112 to 82.167.83.112—1
11482.167.83.113/3282.167.83.113 to 82.167.83.113—1
11582.167.83.114/3282.167.83.114 to 82.167.83.114—1
11682.167.83.115/3282.167.83.115 to 82.167.83.115—1
11782.167.83.116/3282.167.83.116 to 82.167.83.116—1
11882.167.83.117/3282.167.83.117 to 82.167.83.117—1
11982.167.83.118/3282.167.83.118 to 82.167.83.118—1
12082.167.83.119/3282.167.83.119 to 82.167.83.119—1
12182.167.83.120/3282.167.83.120 to 82.167.83.120—1
12282.167.83.121/3282.167.83.121 to 82.167.83.121—1
12382.167.83.122/3282.167.83.122 to 82.167.83.122—1
12482.167.83.123/3282.167.83.123 to 82.167.83.123—1
12582.167.83.124/3282.167.83.124 to 82.167.83.124—1
12682.167.83.125/3282.167.83.125 to 82.167.83.125—1
12782.167.83.126/3282.167.83.126 to 82.167.83.126—1
12882.167.83.127/3282.167.83.127 to 82.167.83.127—1
12982.167.83.128/3282.167.83.128 to 82.167.83.128—1
13082.167.83.129/3282.167.83.129 to 82.167.83.129—1
13182.167.83.130/3282.167.83.130 to 82.167.83.130—1
13282.167.83.131/3282.167.83.131 to 82.167.83.131—1
13382.167.83.132/3282.167.83.132 to 82.167.83.132—1
13482.167.83.133/3282.167.83.133 to 82.167.83.133—1
13582.167.83.134/3282.167.83.134 to 82.167.83.134—1
13682.167.83.135/3282.167.83.135 to 82.167.83.135—1
13782.167.83.136/3282.167.83.136 to 82.167.83.136—1
13882.167.83.137/3282.167.83.137 to 82.167.83.137—1
13982.167.83.138/3282.167.83.138 to 82.167.83.138—1
14082.167.83.139/3282.167.83.139 to 82.167.83.139—1
14182.167.83.140/3282.167.83.140 to 82.167.83.140—1
14282.167.83.141/3282.167.83.141 to 82.167.83.141—1
14382.167.83.142/3282.167.83.142 to 82.167.83.142—1
14482.167.83.143/3282.167.83.143 to 82.167.83.143—1
14582.167.83.144/3282.167.83.144 to 82.167.83.144—1
14682.167.83.145/3282.167.83.145 to 82.167.83.145—1
14782.167.83.146/3282.167.83.146 to 82.167.83.146—1
14882.167.83.147/3282.167.83.147 to 82.167.83.147—1
14982.167.83.148/3282.167.83.148 to 82.167.83.148—1
15082.167.83.149/3282.167.83.149 to 82.167.83.149—1
15182.167.83.150/3282.167.83.150 to 82.167.83.150—1
15282.167.83.151/3282.167.83.151 to 82.167.83.151—1
15382.167.83.152/3282.167.83.152 to 82.167.83.152—1
15482.167.83.153/3282.167.83.153 to 82.167.83.153—1
15582.167.83.154/3282.167.83.154 to 82.167.83.154—1
15682.167.83.155/3282.167.83.155 to 82.167.83.155—1
15782.167.83.156/3282.167.83.156 to 82.167.83.156—1
15882.167.83.157/3282.167.83.157 to 82.167.83.157—1
15982.167.83.158/3282.167.83.158 to 82.167.83.158—1
16082.167.83.159/3282.167.83.159 to 82.167.83.159—1
16182.167.83.160/3282.167.83.160 to 82.167.83.160—1
16282.167.83.161/3282.167.83.161 to 82.167.83.161—1
16382.167.83.162/3282.167.83.162 to 82.167.83.162—1
16482.167.83.163/3282.167.83.163 to 82.167.83.163—1
16582.167.83.164/3282.167.83.164 to 82.167.83.164—1
16682.167.83.165/3282.167.83.165 to 82.167.83.165—1
16782.167.83.166/3282.167.83.166 to 82.167.83.166—1
16882.167.83.167/3282.167.83.167 to 82.167.83.167—1
16982.167.83.168/3282.167.83.168 to 82.167.83.168—1
17082.167.83.169/3282.167.83.169 to 82.167.83.169—1
17182.167.83.170/3282.167.83.170 to 82.167.83.170—1
17282.167.83.171/3282.167.83.171 to 82.167.83.171—1
17382.167.83.172/3282.167.83.172 to 82.167.83.172—1
17482.167.83.173/3282.167.83.173 to 82.167.83.173—1
17582.167.83.174/3282.167.83.174 to 82.167.83.174—1
17682.167.83.175/3282.167.83.175 to 82.167.83.175—1
17782.167.83.176/3282.167.83.176 to 82.167.83.176—1
17882.167.83.177/3282.167.83.177 to 82.167.83.177—1
17982.167.83.178/3282.167.83.178 to 82.167.83.178—1
18082.167.83.179/3282.167.83.179 to 82.167.83.179—1
18182.167.83.180/3282.167.83.180 to 82.167.83.180—1
18282.167.83.181/3282.167.83.181 to 82.167.83.181—1
18382.167.83.182/3282.167.83.182 to 82.167.83.182—1
18482.167.83.183/3282.167.83.183 to 82.167.83.183—1
18582.167.83.184/3282.167.83.184 to 82.167.83.184—1
18682.167.83.185/3282.167.83.185 to 82.167.83.185—1
18782.167.83.186/3282.167.83.186 to 82.167.83.186—1
18882.167.83.187/3282.167.83.187 to 82.167.83.187—1
18982.167.83.188/3282.167.83.188 to 82.167.83.188—1
19082.167.83.189/3282.167.83.189 to 82.167.83.189—1
19182.167.83.190/3282.167.83.190 to 82.167.83.190—1
19282.167.83.191/3282.167.83.191 to 82.167.83.191—1
19382.167.83.192/3282.167.83.192 to 82.167.83.192—1
19482.167.83.193/3282.167.83.193 to 82.167.83.193—1
19582.167.83.194/3282.167.83.194 to 82.167.83.194—1
19682.167.83.195/3282.167.83.195 to 82.167.83.195—1
19782.167.83.196/3282.167.83.196 to 82.167.83.196—1
19882.167.83.197/3282.167.83.197 to 82.167.83.197—1
19982.167.83.198/3282.167.83.198 to 82.167.83.198—1
20082.167.83.199/3282.167.83.199 to 82.167.83.199—1
20182.167.83.200/3282.167.83.200 to 82.167.83.200—1
20282.167.83.201/3282.167.83.201 to 82.167.83.201—1
20382.167.83.202/3282.167.83.202 to 82.167.83.202—1
20482.167.83.203/3282.167.83.203 to 82.167.83.203—1
20582.167.83.204/3282.167.83.204 to 82.167.83.204—1
20682.167.83.205/3282.167.83.205 to 82.167.83.205—1
20782.167.83.206/3282.167.83.206 to 82.167.83.206—1
20882.167.83.207/3282.167.83.207 to 82.167.83.207—1
20982.167.83.208/3282.167.83.208 to 82.167.83.208—1
21082.167.83.209/3282.167.83.209 to 82.167.83.209—1
21182.167.83.210/3282.167.83.210 to 82.167.83.210—1
21282.167.83.211/3282.167.83.211 to 82.167.83.211—1
21382.167.83.212/3282.167.83.212 to 82.167.83.212—1
21482.167.83.213/3282.167.83.213 to 82.167.83.213—1
21582.167.83.214/3282.167.83.214 to 82.167.83.214—1
21682.167.83.215/3282.167.83.215 to 82.167.83.215—1
21782.167.83.216/3282.167.83.216 to 82.167.83.216—1
21882.167.83.217/3282.167.83.217 to 82.167.83.217—1
21982.167.83.218/3282.167.83.218 to 82.167.83.218—1
22082.167.83.219/3282.167.83.219 to 82.167.83.219—1
22182.167.83.220/3282.167.83.220 to 82.167.83.220—1
22282.167.83.221/3282.167.83.221 to 82.167.83.221—1
22382.167.83.222/3282.167.83.222 to 82.167.83.222—1
22482.167.83.223/3282.167.83.223 to 82.167.83.223—1
22582.167.83.224/3282.167.83.224 to 82.167.83.224—1
22682.167.83.225/3282.167.83.225 to 82.167.83.225—1
22782.167.83.226/3282.167.83.226 to 82.167.83.226—1
22882.167.83.227/3282.167.83.227 to 82.167.83.227—1
22982.167.83.228/3282.167.83.228 to 82.167.83.228—1
23082.167.83.229/3282.167.83.229 to 82.167.83.229—1
23182.167.83.230/3282.167.83.230 to 82.167.83.230—1
23282.167.83.231/3282.167.83.231 to 82.167.83.231—1
23382.167.83.232/3282.167.83.232 to 82.167.83.232—1
23482.167.83.233/3282.167.83.233 to 82.167.83.233—1
23582.167.83.234/3282.167.83.234 to 82.167.83.234—1
23682.167.83.235/3282.167.83.235 to 82.167.83.235—1
23782.167.83.236/3282.167.83.236 to 82.167.83.236—1
23882.167.83.237/3282.167.83.237 to 82.167.83.237—1
23982.167.83.238/3282.167.83.238 to 82.167.83.238—1
24082.167.83.239/3282.167.83.239 to 82.167.83.239—1
24182.167.83.240/3282.167.83.240 to 82.167.83.240—1
24282.167.83.241/3282.167.83.241 to 82.167.83.241—1
24382.167.83.242/3282.167.83.242 to 82.167.83.242—1
24482.167.83.243/3282.167.83.243 to 82.167.83.243—1
24582.167.83.244/3282.167.83.244 to 82.167.83.244—1
24682.167.83.245/3282.167.83.245 to 82.167.83.245—1
24782.167.83.246/3282.167.83.246 to 82.167.83.246—1
24882.167.83.247/3282.167.83.247 to 82.167.83.247—1
24982.167.83.248/3282.167.83.248 to 82.167.83.248—1
25082.167.83.249/3282.167.83.249 to 82.167.83.249—1
25182.167.83.250/3282.167.83.250 to 82.167.83.250—1
25282.167.83.251/3282.167.83.251 to 82.167.83.251—1
25382.167.83.252/3282.167.83.252 to 82.167.83.252—1
25482.167.83.253/3282.167.83.253 to 82.167.83.253—1
25582.167.83.254/3282.167.83.254 to 82.167.83.254—1
25682.167.83.255/3282.167.83.255 to 82.167.83.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses